
QGIS Application - Bug report #13288

Geopackage support not working in QGIS Browser

2015-08-31 02:25 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 21346

Description

In QGIS Browser the geopackage connections show "invalid metadata".

Adding geopackage layers using the "add vector layer" dialog works as expected.

History

#1 - 2015-09-03 03:15 PM - Giuseppe Sucameli

About GPKG support on DBManager, it's fixed in commit:03916d549.

Now tables are listed with geometry, table and preview panels display data, you can drop the vector table to QGIS canvas or use the context menu entry.

Editing is disabled as not implemented.

Please, close this ticket (changing ticket description) and file a new one for GPKG support on QGIS Browser.

#2 - 2015-09-12 02:55 AM - Giovanni Manghi

- Category changed from DB Manager to Browser

- Subject changed from Geopackage support not working in DB Manager and QGIS Browser to Geopackage support not working in QGIS Browser

Thanks Giuseppe for the fixes!

Beside the missing geopackage/browser support I still see a number of inconsistencies:

    -  where the user can create a new, empty geopackage db? In "layer > new layer" there is no "new geopackage layer", that should lead as for spatialite,

to a button that allows create a new empty db.

    -  in DB Manager the geopackage/spatial tables are all identifies by the icon with the "?" (the type of geometry is not identified), is this correct?

    -  geopackage tables all show the "no spatial index defined (create it)" link, but once clicked this does nothing.

#3 - 2015-10-21 06:32 PM - Nyall Dawson

- Priority changed from Severe/Regression to High

Not a blocker anymore. These subissues should really be split off into their own issues.
#4 - 2016-07-13 11:56 AM - Giovanni Manghi

Nyall Dawson wrote:

These subissues should really be split off into their own issues.

done.

#5 - 2017-03-06 03:07 PM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

Nyall Dawson wrote:

Not a blocker anymore. These subissues should really be split off into their own issues.

in 2.18.4 and master in qgis browser there is not anymore any gpkg support. Will eventually file a new feature request ticket.
